Description
Document process for moving VM to /64 rather than /128.

Importantly: customer should modify their name server config (/etc/resolv.conf) to be as follows:

nameserver 2a0a:e5c0:2:12:0:f0ff:fea9:c451
nameserver 2a0a:e5c0:2:12:0:f0ff:-fea9:c45d

Failing to inform them of this will result in their VM being unable to resolve most domains, breaking almost all outgoing internet usage
on the VM!

History

#1 - 01/26/2020 10:02 AM - Nico Schottelius

- Subject changed from Instructions for adding /64 to VM to Move VMs with routed /64 into their own /64 [was: Instructions for adding /64 to VM]
- Status changed from New to In Progress

- Assignee changed from Nico Schottelius to Timothée Floure

Good point.

Timothee, can you create a new network for VMs with routed networks so that we can again decide on DNS64 in bind by network prefix?

Morris, we will fix it the way that the user does not have to do that manually. Above nameservers are the current solution, but are not 100% perfect,
because on reboot the VM will currently overwrite /etc/resolv.conf, if you don't remove the script in /etc/one-context.d/

#2 - 02/06/2020 04:13 PM - Moris Jones

So in order to prevent my VM breaking on reboot, should | remove /etc/one-context.d/loc-11-dns ?

#3 - 02/19/2020 09:10 AM - Timothée Floure

Moris Jones wrote:

So in order to prevent my VM breaking on reboot, should | remove /etc/one-context.d/loc-11-dns ?

Yes.

#4 - 02/10/2021 09:01 AM - Timothée Floure

- Assignee deleted (Timothée Floure)

#5 - 02/11/2021 01:25 PM - Nico Schottelius

- Status changed from In Progress to Closed

redmine@ungleich.ch writes:
